{pkgs, ...}: {
  programs.git = {
	  enable = true;
	  userName = "janis";
	  userEmail = "janis@nirgendwo.xyz";
  };

  programs.ssh = {
    addKeysToAgent = "yes";
    enable = true;
    matchBlocks = {
      "git.nirgendwo.xyz" = {
        host = "git.nirgendwo.xyz";
        hostname = "git.nirgendwo.xyz";
        identityFile = "~/.ssh/id_ed25519_nirgendwo";
      };
      "nirgendwo.xyz" = {
        host = "nirgendwo.xyz";
        hostname = "nirgendwo.xyz";
        identityFile = "~/.ssh/id_ed25519_nirgendwo";
      };
      "nirgendswo.com" = {
        host = "nirgendswo.com";
        hostname = "nirgendswo.com";
        identityFile = "~/.ssh/id_ed25519_nirgendwo";
      };
      "nirgendwo" = {
        host = "nirgendwo";
        hostname = "nirgendwo.xyz";
        user = "root";
        identityFile = "~/.ssh/id_ed25519_nirgendwo";
      };
      "github.com:janis-bhm" = {
        host = "github.com:janis-bhm";
        hostname = "github.com";
        identityFile = "~/.ssh/duralumin_janis-github";
      };
      "noonebtw.github.com" = {
        host = "noonebtw.github.com";
        hostname = "github.com";
        identityFile = "~/.ssh/id_ed25519_git";
      };
    };
  };
  services.ssh-agent.enable = true;
}
